const {randomNum, YMDHms} = require("../../util");
const turf = require('@turf/turf')

const mockPoint = new Map()

const wsShipHistory = (WebSocket) => {
// 服务器端监听连接事件
  WebSocket.on('connection', (ws, req) => {
    console.log('8010：WebSocket连接成功');
    console.log(121)
    // if (req.url === '/random-line') {
    //   // 监听客户端发送的消息
    ws.on('message', (message) => {
      const params = JSON.parse(message)
      console.log(params)
      const result = {
        "data": [
          {
            "mergeType": "RADAR",
            "shipCourse": "318.67724609375",
            "shipId": "2405101703500048705",
            "shipLat": 20.026491165161133,
            "shipLon": 110.27372741699219,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "14.671503067016602",
            "startPoint": "1",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085655481323527\",\"time\":\"2024-05-10 18:16:34\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:16:34.330"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "318.67724609375",
            "shipId": "2405101703500048705",
            "shipLat": 20.026620864868164,
            "shipLon": 110.27360534667969,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "14.671503067016602",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085668093595649\",\"time\":\"2024-05-10 18:16:37\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:16:37.337"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "318.67724609375",
            "shipId": "2405101703500048705",
            "shipLat": 20.026830673217773,
            "shipLon": 110.2734146118164,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "14.671503067016602",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085681137881089\",\"time\":\"2024-05-10 18:16:40\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:16:40.448"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "318.67724609375",
            "shipId": "2405101703500048705",
            "shipLat": 20.02696418762207,
            "shipLon": 110.27328491210938,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "14.671503067016602",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085693590769669\",\"time\":\"2024-05-10 18:16:43\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:16:43.417"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "318.67724609375",
            "shipId": "2405101703500048705",
            "shipLat": 20.02714729309082,
            "shipLon": 110.27311706542969,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "14.671503067016602",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085706060435459\",\"time\":\"2024-05-10 18:16:46\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:16:46.389"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "318.67724609375",
            "shipId": "2405101703500048705",
            "shipLat": 20.027345657348633,
            "shipLon": 110.27293395996094,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "14.671503067016602",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085723718455297\",\"time\":\"2024-05-10 18:16:50\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:16:50.599"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "308.84796142578125",
            "shipId": "2405101703500048705",
            "shipLat": 20.027616500854492,
            "shipLon": 110.2721939086914,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "18.77230453491211",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085736745963521\",\"time\":\"2024-05-10 18:16:53\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:16:53.705"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "309.3126220703125",
            "shipId": "2405101703500048705",
            "shipLat": 20.02776336669922,
            "shipLon": 110.27202606201172,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "18.91100311279297",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085749299515393\",\"time\":\"2024-05-10 18:16:56\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:16:56.699"
          },
          {
            "arrivalPoint": "1",
            "mergeType": "RADAR",
            "portId": "4635011201001",
            "portName": "海口市国家帆船基地公共码头",
            "recordList": [
              {
                "id": "1788875806212153346",
                "mergeId": "757085761798541312",
                "portCode": "4635011201001",
                "portId": "4635011201001",
                "portName": "海口市国家帆船基地公共码头",
                "type": "1"
              }
            ],
            "shipCourse": "312.4992980957031",
            "shipId": "2405101703500048705",
            "shipLat": 20.027999877929688,
            "shipLon": 110.27184295654297,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "24.28937530517578",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085761798541313\",\"time\":\"2024-05-10 18:16:59\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:16:59.679"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "357.1636657714844",
            "shipId": "2405101703500048705",
            "shipLat": 20.02814292907715,
            "shipLon": 110.2721939086914,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "13.0011625289917",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085774322733057\",\"time\":\"2024-05-10 18:17:02\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:02.665"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "346.3150634765625",
            "shipId": "2405101703500048705",
            "shipLat": 20.028146743774414,
            "shipLon": 110.27210235595703,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "8.796643257141113",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085793226461185\",\"time\":\"2024-05-10 18:17:07\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:07.173"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "333.8182678222656",
            "shipId": "2405101703500048705",
            "shipLat": 20.028127670288086,
            "shipLon": 110.27200317382812,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "6.179046630859375",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085810548936707\",\"time\":\"2024-05-10 18:17:11\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:11.302"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "350.46612548828125",
            "shipId": "2405101703500048705",
            "shipLat": 20.028461456298828,
            "shipLon": 110.27206420898438,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "8.003230094909668",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085828689301505\",\"time\":\"2024-05-10 18:17:15\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:15.626"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "350.46612548828125",
            "shipId": "2405101703500048705",
            "shipLat": 20.02860450744629,
            "shipLon": 110.27204132080078,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "8.003230094909668",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085847232319489\",\"time\":\"2024-05-10 18:17:19\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:20.047"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "350.46612548828125",
            "shipId": "2405101703500048705",
            "shipLat": 20.028728485107422,
            "shipLon": 110.27201843261719,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "8.003230094909668",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085865053917185\",\"time\":\"2024-05-10 18:17:24\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:24.296"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "351.8412780761719",
            "shipId": "2405101703500048705",
            "shipLat": 20.029071807861328,
            "shipLon": 110.27191925048828,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.785087585449219",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085883001344001\",\"time\":\"2024-05-10 18:17:28\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:28.576"
          },
          {
            "departurePoint": "1",
            "mergeType": "RADAR",
            "portId": "4635011201001",
            "portName": "海口市国家帆船基地公共码头",
            "recordList": [
              {
                "id": "1788875947681832961",
                "mergeId": "757085901020073984",
                "portCode": "4635011201001",
                "portId": "4635011201001",
                "portName": "海口市国家帆船基地公共码头",
                "type": "2"
              }
            ],
            "shipCourse": "351.8412780761719",
            "shipId": "2405101703500048705",
            "shipLat": 20.029321670532227,
            "shipLon": 110.27188110351562,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.785087585449219",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085901020073985\",\"time\":\"2024-05-10 18:17:32\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:32.872"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.029438018798828,
            "shipLon": 110.27181243896484,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085919013638150\",\"time\":\"2024-05-10 18:17:37\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:37.162"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.0296630859375,
            "shipLon": 110.27176666259766,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085936516468737\",\"time\":\"2024-05-10 18:17:41\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:41.334"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.029844284057617,
            "shipLon": 110.271728515625,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085954447118340\",\"time\":\"2024-05-10 18:17:45\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:45.610"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.030004501342773,
            "shipLon": 110.27169036865234,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085972449071105\",\"time\":\"2024-05-10 18:17:49\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:49.902"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.03023338317871,
            "shipLon": 110.27164459228516,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757085990434246658\",\"time\":\"2024-05-10 18:17:54\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:54.190"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.030424118041992,
            "shipLon": 110.2716064453125,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086008998236163\",\"time\":\"2024-05-10 18:17:58\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:17:58.616"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.030658721923828,
            "shipLon": 110.27155303955078,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086026660450305\",\"time\":\"2024-05-10 18:18:02\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:02.826"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.030818939208984,
            "shipLon": 110.27152252197266,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086044519796737\",\"time\":\"2024-05-10 18:18:06\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:07.085"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.031047821044922,
            "shipLon": 110.27146911621094,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086062404308995\",\"time\":\"2024-05-10 18:18:11\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:11.349"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.031221389770508,
            "shipLon": 110.27143096923828,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086080750194691\",\"time\":\"2024-05-10 18:18:15\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:15.723"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.03145408630371,
            "shipLon": 110.2713851928711,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086098827644931\",\"time\":\"2024-05-10 18:18:19\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:20.033"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.031639099121094,
            "shipLon": 110.27134704589844,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086116846374920\",\"time\":\"2024-05-10 18:18:24\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:24.329"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.031877517700195,
            "shipLon": 110.27129364013672,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086135511027715\",\"time\":\"2024-05-10 18:18:28\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:28.779"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.032039642333984,
            "shipLon": 110.27125549316406,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086153718501378\",\"time\":\"2024-05-10 18:18:32\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:33.119"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.032262802124023,
            "shipLon": 110.27120971679688,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086171372326913\",\"time\":\"2024-05-10 18:18:37\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:37.329"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.03244972229004,
            "shipLon": 110.27117156982422,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086189500108801\",\"time\":\"2024-05-10 18:18:41\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:41.650"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.032609939575195,
            "shipLon": 110.2711410522461,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086207212654599\",\"time\":\"2024-05-10 18:18:45\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:45.874"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.032840728759766,
            "shipLon": 110.27108764648438,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086225357213701\",\"time\":\"2024-05-10 18:18:50\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:50.200"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.033021926879883,
            "shipLon": 110.27104949951172,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086243493384199\",\"time\":\"2024-05-10 18:18:54\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:54.524"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.033254623413086,
            "shipLon": 110.27100372314453,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086261394673667\",\"time\":\"2024-05-10 18:18:58\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:18:58.791"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.033428192138672,
            "shipLon": 110.27096557617188,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086279279185925\",\"time\":\"2024-05-10 18:19:02\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:03.056"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.03366470336914,
            "shipLon": 110.27091217041016,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086297067229185\",\"time\":\"2024-05-10 18:19:07\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:07.296"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.6138610839844",
            "shipId": "2405101703500048705",
            "shipLat": 20.033817291259766,
            "shipLon": 110.27088165283203,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.279973983764648",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086315199205377\",\"time\":\"2024-05-10 18:19:11\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:11.619"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.3674011230469",
            "shipId": "2405101703500048705",
            "shipLat": 20.033544540405273,
            "shipLon": 110.27046203613281,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.460067749023438",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086332857225219\",\"time\":\"2024-05-10 18:19:15\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:15.829"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.2419128417969",
            "shipId": "2405101703500048705",
            "shipLat": 20.033763885498047,
            "shipLon": 110.27040100097656,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.536272048950195",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086351031144453\",\"time\":\"2024-05-10 18:19:20\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:20.163"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.2419128417969",
            "shipId": "2405101703500048705",
            "shipLat": 20.0339298248291,
            "shipLon": 110.27034759521484,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.536272048950195",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086368932433921\",\"time\":\"2024-05-10 18:19:24\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:24.430"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.034116744995117,
            "shipLon": 110.27030181884766,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086386938580993\",\"time\":\"2024-05-10 18:19:28\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:28.724"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.03427505493164,
            "shipLon": 110.27025604248047,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086405024419841\",\"time\":\"2024-05-10 18:19:32\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:33.036"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.034488677978516,
            "shipLon": 110.27019500732422,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086423059927041\",\"time\":\"2024-05-10 18:19:37\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:37.335"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.034704208374023,
            "shipLon": 110.27013397216797,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086440919273473\",\"time\":\"2024-05-10 18:19:41\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:41.594"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.03487205505371,
            "shipLon": 110.27008056640625,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086459181273089\",\"time\":\"2024-05-10 18:19:45\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:45.948"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.03510093688965,
            "shipLon": 110.27001953125,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086476801544193\",\"time\":\"2024-05-10 18:19:50\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:50.148"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.03526496887207,
            "shipLon": 110.26996612548828,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086494736388097\",\"time\":\"2024-05-10 18:19:54\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:54.424"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.035478591918945,
            "shipLon": 110.26990509033203,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086512700592129\",\"time\":\"2024-05-10 18:19:58\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:19:58.708"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.03562355041504,
            "shipLon": 110.26986694335938,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086530635436033\",\"time\":\"2024-05-10 18:20:02\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:02.983"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.035844802856445,
            "shipLon": 110.2697982788086,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086548880658433\",\"time\":\"2024-05-10 18:20:07\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:07.333"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.036014556884766,
            "shipLon": 110.2697525024414,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086566639341571\",\"time\":\"2024-05-10 18:20:11\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:11.567"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.03623390197754,
            "shipLon": 110.26968383789062,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086584851009539\",\"time\":\"2024-05-10 18:20:15\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:15.910"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.03639030456543,
            "shipLon": 110.26964569091797,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086603108814853\",\"time\":\"2024-05-10 18:20:20\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:20.263"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.0366153717041,
            "shipLon": 110.26957702636719,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086621471477764\",\"time\":\"2024-05-10 18:20:24\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:24.641"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.64215087890625",
            "shipId": "2405101703500048705",
            "shipLat": 20.036792755126953,
            "shipLon": 110.26952362060547,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.901938438415527",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086639855112193\",\"time\":\"2024-05-10 18:20:28\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:29.024"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.2832946777344",
            "shipId": "2405101703500048705",
            "shipLat": 20.037330627441406,
            "shipLon": 110.26933288574219,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.059979438781738",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086658268106753\",\"time\":\"2024-05-10 18:20:33\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:33.414"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.6944885253906",
            "shipId": "2405101703500048705",
            "shipLat": 20.037567138671875,
            "shipLon": 110.26923370361328,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.044156074523926",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086676567855107\",\"time\":\"2024-05-10 18:20:37\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:37.777"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "340.1267395019531",
            "shipId": "2405101703500048705",
            "shipLat": 20.03767967224121,
            "shipLon": 110.26917266845703,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "9.758481979370117",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086694905352195\",\"time\":\"2024-05-10 18:20:42\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:42.149"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.63177490234375",
            "shipId": "2405101703500048705",
            "shipLat": 20.037988662719727,
            "shipLon": 110.26910400390625,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.173985481262207",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086713746165761\",\"time\":\"2024-05-10 18:20:46\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:46.641"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.27703857421875",
            "shipId": "2405101703500048705",
            "shipLat": 20.038246154785156,
            "shipLon": 110.26903533935547,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.285001754760742",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086731781672963\",\"time\":\"2024-05-10 18:20:50\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:50.941"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.50921630859375",
            "shipId": "2405101703500048705",
            "shipLat": 20.038467407226562,
            "shipLon": 110.26897430419922,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.636143684387207",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086749674573826\",\"time\":\"2024-05-10 18:20:55\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:55.207"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.53509521484375",
            "shipId": "2405101703500048705",
            "shipLat": 20.038707733154297,
            "shipLon": 110.26890563964844,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.45085620880127",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086768435695617\",\"time\":\"2024-05-10 18:20:59\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:20:59.679"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.12176513671875",
            "shipId": "2405101703500048705",
            "shipLat": 20.03891944885254,
            "shipLon": 110.26885223388672,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.878342628479004",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086786865467393\",\"time\":\"2024-05-10 18:21:03\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:04.074"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.36181640625",
            "shipId": "2405101703500048705",
            "shipLat": 20.039194107055664,
            "shipLon": 110.26878356933594,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.917943954467773",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086805265879041\",\"time\":\"2024-05-10 18:21:08\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:08.461"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.36181640625",
            "shipId": "2405101703500048705",
            "shipLat": 20.039461135864258,
            "shipLon": 110.26870727539062,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.917943954467773",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086823586598916\",\"time\":\"2024-05-10 18:21:12\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:12.829"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.36181640625",
            "shipId": "2405101703500048705",
            "shipLat": 20.039661407470703,
            "shipLon": 110.2686538696289,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.917943954467773",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086841953456129\",\"time\":\"2024-05-10 18:21:17\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:17.208"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.36181640625",
            "shipId": "2405101703500048705",
            "shipLat": 20.039886474609375,
            "shipLon": 110.26858520507812,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.917943954467773",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086860311924737\",\"time\":\"2024-05-10 18:21:21\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:21.585"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.36181640625",
            "shipId": "2405101703500048705",
            "shipLat": 20.04006576538086,
            "shipLon": 110.26853942871094,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.917943954467773",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086878385180673\",\"time\":\"2024-05-10 18:21:25\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:25.893"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.36181640625",
            "shipId": "2405101703500048705",
            "shipLat": 20.04033660888672,
            "shipLon": 110.26846313476562,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.917943954467773",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086896697511937\",\"time\":\"2024-05-10 18:21:30\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:30.260"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.36181640625",
            "shipId": "2405101703500048705",
            "shipLat": 20.040597915649414,
            "shipLon": 110.26839447021484,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.917943954467773",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086914917568513\",\"time\":\"2024-05-10 18:21:34\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:34.604"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.36181640625",
            "shipId": "2405101703500048705",
            "shipLat": 20.040807723999023,
            "shipLon": 110.2683334350586,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.917943954467773",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086933351534593\",\"time\":\"2024-05-10 18:21:38\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:38.999"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.26531982421875",
            "shipId": "2405101703500048705",
            "shipLat": 20.04107093811035,
            "shipLon": 110.26815795898438,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.948622703552246",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086952037158913\",\"time\":\"2024-05-10 18:21:43\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:43.454"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "342.825927734375",
            "shipId": "2405101703500048705",
            "shipLat": 20.041261672973633,
            "shipLon": 110.26809692382812,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.931922912597656",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086970085249025\",\"time\":\"2024-05-10 18:21:47\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:47.756"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "341.2307434082031",
            "shipId": "2405101703500048705",
            "shipLat": 20.041515350341797,
            "shipLon": 110.26799774169922,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.685219764709473",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757086988573741057\",\"time\":\"2024-05-10 18:21:52\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:52.164"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "342.3240966796875",
            "shipId": "2405101703500048705",
            "shipLat": 20.0417537689209,
            "shipLon": 110.26792907714844,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.207459449768066",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087006932209665\",\"time\":\"2024-05-10 18:21:56\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:21:56.542"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.74505615234375",
            "shipId": "2405101703500048705",
            "shipLat": 20.042072296142578,
            "shipLon": 110.2678451538086,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.800320625305176",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087025257123842\",\"time\":\"2024-05-10 18:22:00\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:00.910"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "342.4224548339844",
            "shipId": "2405101703500048705",
            "shipLat": 20.04220199584961,
            "shipLon": 110.26778411865234,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.000592231750488",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087043649146884\",\"time\":\"2024-05-10 18:22:05\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:05.296"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "341.8778381347656",
            "shipId": "2405101703500048705",
            "shipLat": 20.04254913330078,
            "shipLon": 110.26765441894531,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.586930274963379",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087062053752835\",\"time\":\"2024-05-10 18:22:09\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:09.684"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "342.8962707519531",
            "shipId": "2405101703500048705",
            "shipLat": 20.0427188873291,
            "shipLon": 110.26761627197266,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.218927383422852",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087080324141057\",\"time\":\"2024-05-10 18:22:13\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:14.040"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.04290771484375,
            "shipLon": 110.26750183105469,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087098661638145\",\"time\":\"2024-05-10 18:22:18\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:18.412"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.04309844970703,
            "shipLon": 110.26742553710938,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087117036883971\",\"time\":\"2024-05-10 18:22:22\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:22.793"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.043277740478516,
            "shipLon": 110.26734924316406,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087135160471553\",\"time\":\"2024-05-10 18:22:27\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:27.114"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.043521881103516,
            "shipLon": 110.26725769042969,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087153544105985\",\"time\":\"2024-05-10 18:22:31\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:31.496"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.04371452331543,
            "shipLon": 110.26718139648438,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087171957100545\",\"time\":\"2024-05-10 18:22:35\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:35.887"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.043962478637695,
            "shipLon": 110.26708221435547,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087189879361539\",\"time\":\"2024-05-10 18:22:40\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:40.160"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.04412841796875,
            "shipLon": 110.26701354980469,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087207881314305\",\"time\":\"2024-05-10 18:22:44\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:44.452"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.044376373291016,
            "shipLon": 110.26691436767578,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087226227200001\",\"time\":\"2024-05-10 18:22:48\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:48.826"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.044628143310547,
            "shipLon": 110.26681518554688,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087244656971778\",\"time\":\"2024-05-10 18:22:53\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:53.219"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.044818878173828,
            "shipLon": 110.26673889160156,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087263082549251\",\"time\":\"2024-05-10 18:22:57\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:22:57.614"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.04499053955078,
            "shipLon": 110.26667022705078,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087281424240641\",\"time\":\"2024-05-10 18:23:01\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:01.985"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "339.4439392089844",
            "shipId": "2405101703500048705",
            "shipLat": 20.04518699645996,
            "shipLon": 110.26659393310547,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.304461479187012",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087299707211778\",\"time\":\"2024-05-10 18:23:06\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:06.345"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.7193908691406",
            "shipId": "2405101703500048705",
            "shipLat": 20.045808792114258,
            "shipLon": 110.26663970947266,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.414837837219238",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087317658832897\",\"time\":\"2024-05-10 18:23:10\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:10.625"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.43115234375",
            "shipId": "2405101703500048705",
            "shipLat": 20.04607391357422,
            "shipLon": 110.26657104492188,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.575922012329102",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087336252182531\",\"time\":\"2024-05-10 18:23:14\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:15.058"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.43115234375",
            "shipId": "2405101703500048705",
            "shipLat": 20.046295166015625,
            "shipLon": 110.2665023803711,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.575922012329102",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087354543542273\",\"time\":\"2024-05-10 18:23:19\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:19.419"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.77813720703125",
            "shipId": "2405101703500048705",
            "shipLat": 20.0465030670166,
            "shipLon": 110.26643371582031,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.996988296508789",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087373053005825\",\"time\":\"2024-05-10 18:23:23\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:23.832"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "342.966064453125",
            "shipId": "2405101703500048705",
            "shipLat": 20.04662322998047,
            "shipLon": 110.26638793945312,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.520181655883789",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087391428251649\",\"time\":\"2024-05-10 18:23:28\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:28.213"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.9609069824219",
            "shipId": "2405101703500048705",
            "shipLat": 20.046924591064453,
            "shipLon": 110.26631164550781,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.336577415466309",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087409430204419\",\"time\":\"2024-05-10 18:23:32\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:32.505"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "345.19659423828125",
            "shipId": "2405101703500048705",
            "shipLat": 20.047147750854492,
            "shipLon": 110.26626586914062,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.753981590270996",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087427285356545\",\"time\":\"2024-05-10 18:23:36\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:36.761"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "348.3521423339844",
            "shipId": "2405101703500048705",
            "shipLat": 20.047487258911133,
            "shipLon": 110.26622772216797,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.703228950500488",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087445752877060\",\"time\":\"2024-05-10 18:23:41\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:41.165"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "349.3835144042969",
            "shipId": "2405101703500048705",
            "shipLat": 20.047649383544922,
            "shipLon": 110.26619720458984,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.298150062561035",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087464329449475\",\"time\":\"2024-05-10 18:23:45\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:45.594"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "346.16278076171875",
            "shipId": "2405101703500048705",
            "shipLat": 20.047941207885742,
            "shipLon": 110.26607513427734,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.206806182861328",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087481597399041\",\"time\":\"2024-05-10 18:23:49\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:49.710"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.2398681640625",
            "shipId": "2405101703500048705",
            "shipLat": 20.04816246032715,
            "shipLon": 110.2659683227539,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.539020538330078",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087500152999937\",\"time\":\"2024-05-10 18:23:54\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:54.135"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "341.2713317871094",
            "shipId": "2405101703500048705",
            "shipLat": 20.04843521118164,
            "shipLon": 110.26586151123047,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.53458023071289",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087518423388163\",\"time\":\"2024-05-10 18:23:58\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:23:58.492"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "340.9853515625",
            "shipId": "2405101703500048705",
            "shipLat": 20.048587799072266,
            "shipLon": 110.26580047607422,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "11.757670402526855",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087536379203585\",\"time\":\"2024-05-10 18:24:02\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:02.772"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "342.0623779296875",
            "shipId": "2405101703500048705",
            "shipLat": 20.04890251159668,
            "shipLon": 110.26570892333984,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.322157859802246",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087554741866497\",\"time\":\"2024-05-10 18:24:07\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:07.149"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "344.7823791503906",
            "shipId": "2405101703500048705",
            "shipLat": 20.049135208129883,
            "shipLon": 110.26567077636719,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.426007270812988",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087573117112323\",\"time\":\"2024-05-10 18:24:11\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:11.531"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.8502502441406",
            "shipId": "2405101703500048705",
            "shipLat": 20.049421310424805,
            "shipLon": 110.26557922363281,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.914809226989746",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087591068733443\",\"time\":\"2024-05-10 18:24:15\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:15.811"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "341.919189453125",
            "shipId": "2405101703500048705",
            "shipLat": 20.04963493347168,
            "shipLon": 110.26547241210938,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.878128051757812",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087609259429889\",\"time\":\"2024-05-10 18:24:20\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:20.148"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "341.513916015625",
            "shipId": "2405101703500048705",
            "shipLat": 20.049781799316406,
            "shipLon": 110.26541900634766,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "12.297989845275879",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087627714367489\",\"time\":\"2024-05-10 18:24:24\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:24.548"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.049942016601562,
            "shipLon": 110.26539611816406,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087646240608257\",\"time\":\"2024-05-10 18:24:28\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:28.964"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.050172805786133,
            "shipLon": 110.26531982421875,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087664058011649\",\"time\":\"2024-05-10 18:24:33\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:33.212"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.050355911254883,
            "shipLon": 110.2652587890625,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087682525532161\",\"time\":\"2024-05-10 18:24:37\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:37.615"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.05059051513672,
            "shipLon": 110.26518249511719,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087700842057729\",\"time\":\"2024-05-10 18:24:41\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:41.982"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.0507755279541,
            "shipLon": 110.26512908935547,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087719179554817\",\"time\":\"2024-05-10 18:24:46\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:46.354"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.05094337463379,
            "shipLon": 110.26506805419922,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087737617715201\",\"time\":\"2024-05-10 18:24:50\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:50.751"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.051176071166992,
            "shipLon": 110.26499938964844,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087756068458497\",\"time\":\"2024-05-10 18:24:55\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:55.150"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.05141258239746,
            "shipLon": 110.26492309570312,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087774401761281\",\"time\":\"2024-05-10 18:24:59\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:24:59.520"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.05159568786621,
            "shipLon": 110.26486206054688,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087792781201411\",\"time\":\"2024-05-10 18:25:03\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:25:03.903"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.051836013793945,
            "shipLon": 110.26478576660156,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087811424882689\",\"time\":\"2024-05-10 18:25:08\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:25:08.348"
          },
          {
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.052001953125,
            "shipLon": 110.26473236083984,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087829921763329\",\"time\":\"2024-05-10 18:25:12\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:25:12.758"
          },
          {
            "endPoint": "1",
            "mergeType": "RADAR",
            "shipCourse": "343.1119689941406",
            "shipId": "2405101703500048705",
            "shipLat": 20.05218505859375,
            "shipLon": 110.2646713256836,
            "shipName": "null",
            "shipNameEn": "null",
            "shipSpeed": "10.535921096801758",
            "targetSource": "[{\"signal_loss\":false,\"track_id\":\"2405101703500048705\",\"id\":\"757087848376700931\",\"time\":\"2024-05-10 18:25:17\",\"type\":\"HLX_RADAR\"}]",
            "trackTime": "2024-05-10 18:25:17.158"
          }
        ],
        "time": 540,
        "key": "2405101703500048705",
        "speed": 11.209660430908203
      }
      ws.send(JSON.stringify(result))
    });

    // 监听连接断开事件
    ws.on('close', () => {
      console.log('8010：WebSocket关闭成功');
    });
  });
}
module.exports = {
  wsShipHistory: wsShipHistory,
}